//******************************************************************************
// Copyright (c) 2013 ClutchPlay Games, LLC. All rights reserved.
//******************************************************************************

KE_PREFIX

#ifdef KE_TEX
uniform KE_LOWP sampler2D tex1;
varying vec2 texCoordOut;
#endif // KE_TEX

varying KE_LOWP vec4 colorOut;

void main()
{
#ifdef KE_TEX_RGBA
    KE_LOWP float texAlpha = texture2D(tex1, texCoordOut).a;
    if (texAlpha > 0.4)
    {
        gl_FragColor = vec4(1, 1, 1, 1);
    }
    else
    {
        discard;
    }    
#else
    gl_FragColor = vec4(1, 1, 1, 1);
#endif // KE_TEX_RGBA
}