//******************************************************************************
// Copyright (c) 2013 ClutchPlay Games, LLC. All rights reserved.
//******************************************************************************

KE_PREFIX

#ifdef KE_TEX
uniform KE_LOWP sampler2D tex1;
uniform KE_LOWP float shadowAlpha;
varying vec2 texCoordOut;
#endif // KE_TEX

varying KE_LOWP vec4 colorOut;

void main()
{
#ifdef KE_TEX
    float texAlpha = texture2D(tex1, texCoordOut).w;
    gl_FragColor = vec4(colorOut.r, colorOut.g, colorOut.b, colorOut.a * texAlpha);
#else
    gl_FragColor = colorOut;
#endif // KE_TEX
}