//******************************************************************************
// Copyright (c) 2013 ClutchPlay Games, LLC. All rights reserved.
//******************************************************************************

KE_PREFIX

#ifdef KE_TEX
uniform KE_LOWP sampler2D tex1;
varying vec2 texCoordOut;
#endif // KE_TEX

varying KE_LOWP vec4 colorOut;

void main()
{
#ifdef KE_TEX
    vec2 texColor = texture2D(tex1, texCoordOut).rg;
    float colorVal = (texColor.r + texColor.g);
    gl_FragColor = vec4(colorVal, colorVal, colorVal, 1.0);
#else
    gl_FragColor = vec4(1, 0, 0, 1);
#endif // KE_TEX
}